AnsweredAssumed Answered

Is the rsa-im-server rpm package in the 10.6.3.2 Update Corrupt?

Question asked by David Waugh on Jul 5, 2017
Latest reply on Jul 5, 2017 by David Waugh

Note the following packages seem to be corrupt:

 

rsa-esa-server

rsa-esa-client

rsa-im-server

I downloaded the Offline Zip

packages for the 10.6.3.2 update and was able to upload them and install them into the repository.

 

However when I tried to upgrade I get the following error when trying to upgrade either through the GUI ( Official Supported Method) or using yum update (Non supported method)

 

I ran yum update below just to show the error as this is what the backend process will do.

 

====

yum install rsa-im-server
Loaded plugins: fastestmirror
Setting up Install Process
Loading mirror speeds from cached hostfile
Resolving Dependencies
--> Running transaction check
---> Package rsa-im-server.x86_64 0:10.6.3.0-1043.5.3dbf67c will be updated
---> Package rsa-im-server.x86_64 0:10.6.3.2-1047.5.5b96117 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package           Arch       Version                     Repository       Size
================================================================================
Updating:
 rsa-im-server     x86_64     10.6.3.2-1047.5.5b96117     RSASoftware      64 M

Transaction Summary
================================================================================
Upgrade       1 Package(s)

Total download size: 64 M
Is this ok [y/N]: y
Downloading Packages:
rsa-im-server-10.6.3.2-1047.5.5b96117.x86_64.rpm         |  64 MB     00:00
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Installing RSA NetWitness IM server...
Backing up old scripts, fields and mailtemplates folder to /opt/rsa/im/backup/20170705_0739.zip
/opt/rsa/im /
  adding: scripts/ (stored 0%)
  adding: scripts/normalize/ (stored 0%)
  adding: scripts/normalize/normalize_ma_alerts.js (deflated 76%)
  adding: scripts/normalize/normalize_wtd_alerts.js (deflated 66%)
  adding: scripts/normalize/normalize_core_alerts.js (deflated 74%)
  adding: scripts/normalize/normalize_alerts.js (deflated 71%)
  adding: scripts/normalize/utils.js (deflated 81%)
  adding: scripts/normalize/normalize_ecat_alerts.js (deflated 76%)
  adding: scripts/normalize/data_privacy_map.js (deflated 56%)
  adding: scripts/wrapper.sh (deflated 42%)
  adding: fields/ (stored 0%)
  adding: fields/alert_rules.json (deflated 85%)
  adding: mailtemplates/ (stored 0%)
  adding: mailtemplates/incident_record_updated.ftl (deflated 71%)
  adding: mailtemplates/remediation_task_updated.ftl (deflated 73%)
  adding: mailtemplates/incident_created.ftl (deflated 72%)
  adding: mailtemplates/remediation_task_closed.ftl (deflated 71%)
  adding: mailtemplates/remediation_task_created.ftl (deflated 72%)
/
  Updating   : rsa-im-server-10.6.3.2-1047.5.5b96117.x86_64                 1/2
Error unpacking rpm package rsa-im-server-10.6.3.2-1047.5.5b96117.x86_64
error: unpacking of archive failed on file /opt/rsa/im/lib/antlr/antlr/2.7.6/antlr-2.7.6.jar;595c97bf: cpio: read
  Verifying  : rsa-im-server-10.6.3.2-1047.5.5b96117.x86_64                 1/2
rsa-im-server-10.6.3.0-1043.5.3dbf67c.x86_64 was supposed to be removed but is not!
  Verifying  : rsa-im-server-10.6.3.0-1043.5.3dbf67c.x86_64                 2/2

Failed:
  rsa-im-server.x86_64 0:10.6.3.0-1043.5.3dbf67c
  rsa-im-server.x86_64 0:10.6.3.2-1047.5.5b96117

Complete!
[root@SIEM-DO-HSB01 remote_backups]# ls -latr /opt/rsa/im/lib/antlr/antlr/2.7.6/antlr-2.7.6.jar
-rwxr-xr-x. 1 root root 443432 Mar 24 17:27 /opt/rsa/im/lib/antlr/antlr/2.7.6/antlr-2.7.6.jar

 

 

=======

 

Has anyone been able to install the 10.6.3.2 update successfully?

Outcomes